viSetGetConfigXml = {};

function viSetGetConfigXml:loadConfig(self, getServer)			
	local file = VehicleInspector.settingsDir.."modsSettings/vehicleInspector/vehicleInspectorSettings.xml";		
	local Xml;
	if not getServer then		
		if not fileExists(file) then
			print(tostring(VehicleInspector.metadata.title).. " generated ".. file)			
			createFolder(VehicleInspector.settingsDir.."modsSettings/");
			createFolder(VehicleInspector.settingsDir.."modsSettings/vehicleInspector/");
			viSetGetConfigXml:saveConfig();												
		else			
			print("loading "..file.." for vehicleInspector settings");		
			Xml = loadXMLFile("vehicleInspector_XML", file, "vehicleInspector");
			if Xml == nil then print("LOADING ERROR --->"..file.." for vehicleInspector settings");return;end;
			--global
			local xmlNameTag = ("vehicleInspector.globalSettings.values(%d)"):format(0);
			if getXMLBool(Xml, xmlNameTag.."#isOn") ~= nil then g_currentMission.vi.isOn = getXMLBool(Xml, xmlNameTag.."#isOn");end;
			if getXMLBool(Xml, xmlNameTag.."#isHidden") ~= nil then g_currentMission.vi.isHidden = getXMLBool(Xml, xmlNameTag.."#isHidden");end;			
			if getXMLBool(Xml, xmlNameTag.."#setPlayerFrozen") ~= nil then g_currentMission.vi.setFrozen = getXMLBool(Xml, xmlNameTag.."#setPlayerFrozen");end;
			if getXMLBool(Xml, xmlNameTag.."#frozenAndCursorOverMoh") ~= nil then g_currentMission.vi.frozenAndCursorOverMoh = getXMLBool(Xml, xmlNameTag.."#frozenAndCursorOverMoh");end;
			xmlNameTag = ("vehicleInspector.globalSettings.values(%d)"):format(1);
			if getXMLBool(Xml, xmlNameTag.."#seeAnimals") ~= nil then viGui.defaultHud.seeAnimals.on = getXMLBool(Xml, xmlNameTag.."#seeAnimals");end;
			if viGui.defaultHud.seeAnimals.on then g_currentMission.vi.iconAnimals = true;end;
			if getXMLBool(Xml, xmlNameTag.."#chicken") ~= nil then viGui.defaultHud.seeAnimals.chicken = getXMLBool(Xml, xmlNameTag.."#chicken");end;
			if getXMLBool(Xml, xmlNameTag.."#sheep") ~= nil then viGui.defaultHud.seeAnimals.sheep = getXMLBool(Xml, xmlNameTag.."#sheep");end;
			if getXMLBool(Xml, xmlNameTag.."#cow") ~= nil then viGui.defaultHud.seeAnimals.cow = getXMLBool(Xml, xmlNameTag.."#cow");end;
			if getXMLBool(Xml, xmlNameTag.."#pig") ~= nil then viGui.defaultHud.seeAnimals.pig = getXMLBool(Xml, xmlNameTag.."#pig");end;
			xmlNameTag = ("vehicleInspector.globalSettings.values(%d)"):format(2);
			if getXMLBool(Xml, xmlNameTag.."#hiddenWarnings") ~= nil then g_currentMission.vi.hiddenWarnings = getXMLBool(Xml, xmlNameTag.."#hiddenWarnings");end;
			if getXMLBool(Xml, xmlNameTag.."#seeGlobalWarningIcon") ~= nil then viGui.defaultHud.seeGlobalWarningIcon = getXMLBool(Xml, xmlNameTag.."#seeGlobalWarningIcon");end;
			if getXMLBool(Xml, xmlNameTag.."#seeGlobalWarningVehicleAutoOnHidden") ~= nil then viGui.defaultHud.seeGlobalWarningVehicleAutoOnHidden = getXMLBool(Xml, xmlNameTag.."#seeGlobalWarningVehicleAutoOnHidden");end;
			if getXMLBool(Xml, xmlNameTag.."#seeGlobalWarningVehicleAutoOff") ~= nil then viGui.defaultHud.seeGlobalWarningVehicleAutoOff = getXMLBool(Xml, xmlNameTag.."#seeGlobalWarningVehicleAutoOff");end;
			if getXMLInt(Xml, xmlNameTag.."#seeGlobalWarningVehicleAutoOffTimer") then viGui.defaultHud.seeGlobalWarningVehicleAutoOffTimer = getXMLInt(Xml, xmlNameTag.."#seeGlobalWarningVehicleAutoOffTimer");end;
			xmlNameTag = ("vehicleInspector.globalSettings.values(%d)"):format(3);
			if getXMLInt(Xml, xmlNameTag.."#warningFillLevel") then viGui.defaultHud.seeNoDrawWarning.fillLevel = getXMLInt(Xml, xmlNameTag.."#warningFillLevel");end;
			if getXMLBool(Xml, xmlNameTag.."#attachedFill") ~= nil then viGui.defaultHud.seeNoDrawWarning.attachedFill = getXMLBool(Xml, xmlNameTag.."#attachedFill");end;
			if getXMLInt(Xml, xmlNameTag.."#warningFuelLevel") then viGui.defaultHud.seeNoDrawWarning.fuelLevel = getXMLInt(Xml, xmlNameTag.."#warningFuelLevel");end;
			if getXMLBool(Xml, xmlNameTag.."#attachedFuel") ~= nil then viGui.defaultHud.seeNoDrawWarning.attachedFuel = getXMLBool(Xml, xmlNameTag.."#attachedFuel");end;
			if getXMLInt(Xml, xmlNameTag.."#warningDirtAmount") then viGui.defaultHud.seeNoDrawWarning.dirtAmount = getXMLInt(Xml, xmlNameTag.."#warningDirtAmount");end;
			if getXMLBool(Xml, xmlNameTag.."#attachedDirt") ~= nil then viGui.defaultHud.seeNoDrawWarning.attachedDirt = getXMLBool(Xml, xmlNameTag.."#attachedDirt");end;
			if getXMLBool(Xml, xmlNameTag.."#problemHiredAndForeignPlayer") ~= nil then viGui.defaultHud.seeNoDrawWarning.problemHiredAndForeignPlayer = getXMLBool(Xml, xmlNameTag.."#problemHiredAndForeignPlayer");end;
			if getXMLBool(Xml, xmlNameTag.."#problemNoControlled") ~= nil then viGui.defaultHud.seeNoDrawWarning.problemNoControlled = getXMLBool(Xml, xmlNameTag.."#problemNoControlled");end;
			xmlNameTag = ("vehicleInspector.globalSettings.values(%d)"):format(4);
			if getXMLFloat(Xml, xmlNameTag.."#viZoom") then viGui.defaultHud.zoomOutIn = getXMLFloat(Xml, xmlNameTag.."#viZoom");end;
			if getXMLBool(Xml, xmlNameTag.."#seeRealAttached") ~= nil then viGui.defaultHud.viewRealAttached = getXMLBool(Xml, xmlNameTag.."#seeRealAttached");end;
			if getXMLInt(Xml, xmlNameTag.."#maxAttached") then viGui.defaultHud.attachedView = getXMLInt(Xml, xmlNameTag.."#maxAttached");end;
			if getXMLBool(Xml, xmlNameTag.."#hotSpotVehicle") ~= nil then viGui.defaultHud.hotSpot = getXMLBool(Xml, xmlNameTag.."#hotSpotVehicle");end;
			if getXMLBool(Xml, xmlNameTag.."#keySelect") ~= nil then viGui.defaultHud.vehicleSettingsKeySelect.on = getXMLBool(Xml, xmlNameTag.."#keySelect");end;
			if getXMLInt(Xml, xmlNameTag.."#keySelectPos") then viGui.defaultHud.vehicleSettingsKeySelect.pos = getXMLInt(Xml, xmlNameTag.."#keySelectPos");end;
			if getXMLInt(Xml, xmlNameTag.."#keySelectType") then viGui.defaultHud.vehicleSettingsKeySelect.markerType = getXMLInt(Xml, xmlNameTag.."#keySelectType");end;
			if getXMLInt(Xml, xmlNameTag.."#keySelectColor") then viGui.defaultHud.vehicleSettingsKeySelect.color = getXMLInt(Xml, xmlNameTag.."#keySelectColor");end;
			if (not viGui.binding.keySelectUp and not viGui.binding.keySelectDown) or not viGui.binding.keySelectAction then viGui.defaultHud.vehicleSettingsKeySelect.on = false;end;
			xmlNameTag = ("vehicleInspector.globalSettings.values(%d)"):format(5);
			if getXMLBool(Xml, xmlNameTag.."#isLockDefaultHud") ~= nil then viGui.settingsOnViMenue.isLockDefaultHud = getXMLBool(Xml, xmlNameTag.."#isLockDefaultHud");end;
			if getXMLFloat(Xml, xmlNameTag.."#settingsZoom") then viGui.settingsOnViMenue.zoomOutIn = getXMLFloat(Xml, xmlNameTag.."#settingsZoom");end;
			if getXMLFloat(Xml, xmlNameTag.."#settingsPosX") then viGui.settingsOnViMenue.posX = getXMLFloat(Xml, xmlNameTag.."#settingsPosX");end;
			if getXMLFloat(Xml, xmlNameTag.."#settingsPosY") then viGui.settingsOnViMenue.posY = getXMLFloat(Xml, xmlNameTag.."#settingsPosY");end;
			if getXMLBool(Xml, xmlNameTag.."#isTask") ~= nil then viGui.settingsOnViMenue.isTask = getXMLBool(Xml, xmlNameTag.."#isTask");end;
			if getXMLInt(Xml, xmlNameTag.."#viPos") then viGui.defaultHud.pos = getXMLInt(Xml, xmlNameTag.."#viPos");end;
			xmlNameTag = ("vehicleInspector.globalSettings.values(%d)"):format(6);
			if getXMLBool(Xml, xmlNameTag.."#helpText") ~= nil then viGui.helpText.on = getXMLBool(Xml, xmlNameTag.."#helpText");end;
			if getXMLBool(Xml, xmlNameTag.."#vehicleInfoText") ~= nil then viGui.helpText.vehicleInfo = getXMLBool(Xml, xmlNameTag.."#vehicleInfoText");end;
			if getXMLBool(Xml, xmlNameTag.."#mouseCursorJoinVehicleAutoOff") ~= nil then viGui.defaultHud.mouseCursorJoinVehicleAutoOff = getXMLBool(Xml, xmlNameTag.."#mouseCursorJoinVehicleAutoOff");end;
			if getXMLBool(Xml, xmlNameTag.."#mouseCursorCloseSettingsAutoOff") ~= nil then viGui.defaultHud.mouseCursorCloseSettingsAutoOff = getXMLBool(Xml, xmlNameTag.."#mouseCursorCloseSettingsAutoOff");end;
			--if getXMLBool(Xml, xmlNameTag.."#isfruitNameOn") then g_currentMission.vi.isfruitNameOn = getXMLBool(Xml, xmlNameTag.."#isfruitNameOn");end;
			--if getXMLInt(Xml, xmlNameTag.."#fruitNamePos") ~= nil then g_currentMission.vi.fruitNamePos = getXMLInt(Xml, xmlNameTag.."#fruitNamePos");end;
			--if getXMLInt(Xml, xmlNameTag.."#fruitNameType") ~= nil then g_currentMission.vi.fruitNameType = getXMLInt(Xml, xmlNameTag.."#fruitNameType");end;
			--global
			
			--desing
			xmlNameTag = ("vehicleInspector.designSettings.values(%d)"):format(0);
			--if getXMLInt(Xml, xmlNameTag.."#design") ~= nil then viGui.defaultHud.design = getXMLInt(Xml, xmlNameTag.."#design");end;
			if getXMLInt(Xml, xmlNameTag.."#designGroundType") then viGui.defaultHud.designGroundType = getXMLInt(Xml, xmlNameTag.."#designGroundType");end;
			if getXMLFloat(Xml, xmlNameTag.."#designGroundTransparent") then viGui.defaultHud.designGroundTransparent = getXMLFloat(Xml, xmlNameTag.."#designGroundTransparent");end;
			if getXMLInt(Xml, xmlNameTag.."#designGroundColor") then viGui.defaultHud.designGroundColorMarker = getXMLInt(Xml, xmlNameTag.."#designGroundColor");end;
			if getXMLInt(Xml, xmlNameTag.."#designGroundLineColor") then viGui.defaultHud.designGroundLineColorMarker = getXMLInt(Xml, xmlNameTag.."#designGroundLineColor");end;
			xmlNameTag = ("vehicleInspector.designSettings.values(%d)"):format(1);
			if getXMLBool(Xml, xmlNameTag.."#storeItems") ~= nil then viGui.defaultHud.storeItems = getXMLBool(Xml, xmlNameTag.."#storeItems");end;
			if getXMLBool(Xml, xmlNameTag.."#storeItemsVehicle") ~= nil then viGui.defaultHud.storeItemsVehicle = getXMLBool(Xml, xmlNameTag.."#storeItemsVehicle");end;
			if getXMLBool(Xml, xmlNameTag.."#storeItemsVehicleName") ~= nil then viGui.defaultHud.storeItemsVehicleName = getXMLBool(Xml, xmlNameTag.."#storeItemsVehicleName");end;
			if getXMLBool(Xml, xmlNameTag.."#storeItemsAttached") ~= nil then viGui.defaultHud.storeItemsAttached = getXMLBool(Xml, xmlNameTag.."#storeItemsAttached");end;
			if getXMLBool(Xml, xmlNameTag.."#storeItemsAttachedName") ~= nil then viGui.defaultHud.storeItemsAttachedName = getXMLBool(Xml, xmlNameTag.."#storeItemsAttachedName");end;
			xmlNameTag = ("vehicleInspector.designSettings.values(%d)"):format(2);
			if getXMLFloat(Xml, xmlNameTag.."#distanceAttachedStretch") then viGui.defaultHud.distanceAttachedStretch = getXMLFloat(Xml, xmlNameTag.."#distanceAttachedStretch");end;
			if getXMLInt(Xml, xmlNameTag.."#storeItemsColorMarker") then viGui.defaultHud.storeItemsColorMarker = getXMLInt(Xml, xmlNameTag.."#storeItemsColorMarker");end;
			if getXMLFloat(Xml, xmlNameTag.."#storeItemsTransparent") then viGui.defaultHud.storeItemsTransparent = getXMLFloat(Xml, xmlNameTag.."#storeItemsTransparent");end;
			xmlNameTag = ("vehicleInspector.designSettings.values(%d)"):format(3);
			if getXMLBool(Xml, xmlNameTag.."#seeExtraIcons") ~= nil then viGui.defaultHud.seeExtraIcon.isDraw = getXMLBool(Xml, xmlNameTag.."#seeExtraIcons");end;
			xmlNameTag = ("vehicleInspector.designSettings.values.one(%d)"):format(0);
			if getXMLBool(Xml, xmlNameTag.."#selectedVehicle") ~= nil then viGui.defaultHud.seeExtraIcon.selectedVehicle = getXMLBool(Xml, xmlNameTag.."#selectedVehicle");end;
			if getXMLBool(Xml, xmlNameTag.."#attachedAllReady") ~= nil then viGui.defaultHud.seeExtraIcon.attachedAllReady = getXMLBool(Xml, xmlNameTag.."#attachedAllReady");end;
			if getXMLBool(Xml, xmlNameTag.."#attachedPlayerReady") ~= nil then viGui.defaultHud.seeExtraIcon.attachedPlayerReady = getXMLBool(Xml, xmlNameTag.."#attachedPlayerReady");end;
			if getXMLBool(Xml, xmlNameTag.."#attachedForeignPlayerReady") ~= nil then viGui.defaultHud.seeExtraIcon.attachedForeignPlayerReady = getXMLBool(Xml, xmlNameTag.."#attachedForeignPlayerReady");end;
			xmlNameTag = ("vehicleInspector.designSettings.values.two(%d)"):format(0);
			if getXMLBool(Xml, xmlNameTag.."#light") ~= nil then viGui.defaultHud.seeExtraIcon.light = getXMLBool(Xml, xmlNameTag.."#light");end;
			if getXMLBool(Xml, xmlNameTag.."#fuelLevel") ~= nil then viGui.defaultHud.seeExtraIcon.fuelLevel = getXMLBool(Xml, xmlNameTag.."#fuelLevel");end;
			if getXMLInt(Xml, xmlNameTag.."#fuelLevelProzent") then viGui.defaultHud.seeExtraIcon.fuelLevelProzent = getXMLInt(Xml, xmlNameTag.."#fuelLevelProzent");end;
			if getXMLInt(Xml, xmlNameTag.."#fuelLevelTimer") then viGui.defaultHud.seeExtraIcon.fuelLevelTimer = getXMLInt(Xml, xmlNameTag.."#fuelLevelTimer");end;
			xmlNameTag = ("vehicleInspector.designSettings.values.three(%d)"):format(0);
			if getXMLBool(Xml, xmlNameTag.."#rentCar") ~= nil then viGui.defaultHud.seeExtraIcon.rentCar = getXMLBool(Xml, xmlNameTag.."#rentCar");end;
			if getXMLBool(Xml, xmlNameTag.."#fillLevel") ~= nil then viGui.defaultHud.seeExtraIcon.fillLevel = getXMLBool(Xml, xmlNameTag.."#fillLevel");end;
			if getXMLInt(Xml, xmlNameTag.."#fillLevelProzent") then viGui.defaultHud.seeExtraIcon.fillLevelProzent = getXMLInt(Xml, xmlNameTag.."#fillLevelProzent");end;
			if getXMLInt(Xml, xmlNameTag.."#fillLevelTimer") then viGui.defaultHud.seeExtraIcon.fillLevelTimer = getXMLInt(Xml, xmlNameTag.."#fillLevelTimer");end;
			xmlNameTag = ("vehicleInspector.designSettings.values.four(%d)"):format(0);
			if getXMLBool(Xml, xmlNameTag.."#dirtAmount") ~= nil then viGui.defaultHud.seeExtraIcon.dirtAmount = getXMLBool(Xml, xmlNameTag.."#dirtAmount");end;
			if getXMLInt(Xml, xmlNameTag.."#dirtAmountProzent") then viGui.defaultHud.seeExtraIcon.dirtAmountProzent = getXMLInt(Xml, xmlNameTag.."#dirtAmountProzent");end;
			if getXMLBool(Xml, xmlNameTag.."#vehicleCost") ~= nil then viGui.defaultHud.seeExtraIcon.vehicleCost = getXMLBool(Xml, xmlNameTag.."#vehicleCost");end;
			if getXMLInt(Xml, xmlNameTag.."#vehicleCostProzent") then viGui.defaultHud.seeExtraIcon.vehicleCostProzent = getXMLInt(Xml, xmlNameTag.."#vehicleCostProzent");end;
			--design
			
			--sort
			xmlNameTag = ("vehicleInspector.sortSettings.sortBy(%d)"):format(0);
			if getXMLBool(Xml, xmlNameTag.."#vehicleName") ~= nil then viGui.defaultHud.sortBy.vehicleName = getXMLBool(Xml, xmlNameTag.."#vehicleName");end;
			if getXMLBool(Xml, xmlNameTag.."#typeName") ~= nil then viGui.defaultHud.sortBy.typeName = getXMLBool(Xml, xmlNameTag.."#typeName");end;
			if getXMLBool(Xml, xmlNameTag.."#typeDesc") ~= nil then viGui.defaultHud.sortBy.typeDesc = getXMLBool(Xml, xmlNameTag.."#typeDesc");end;
			if getXMLBool(Xml, xmlNameTag.."#emgineOn") ~= nil then viGui.defaultHud.sortBy.engineOn = getXMLBool(Xml, xmlNameTag.."#emgineOn");end;
			if getXMLBool(Xml, xmlNameTag.."#isGroup") ~= nil then viGui.defaultHud.sortBy.isGroup = getXMLBool(Xml, xmlNameTag.."#isGroup");end;
			if getXMLBool(Xml, xmlNameTag.."#isPlayer") ~= nil then viGui.defaultHud.sortBy.isPlayer = getXMLBool(Xml, xmlNameTag.."#isPlayer");end;
			if getXMLBool(Xml, xmlNameTag.."#isHired") ~= nil then viGui.defaultHud.sortBy.isHired = getXMLBool(Xml, xmlNameTag.."#isHired");end;
			if getXMLBool(Xml, xmlNameTag.."#isAttached") ~= nil then viGui.defaultHud.sortBy.isAttached = getXMLBool(Xml, xmlNameTag.."#isAttached");end;
			if getXMLBool(Xml, xmlNameTag.."#age") ~= nil then viGui.defaultHud.sortBy.age = getXMLBool(Xml, xmlNameTag.."#age");end;
			if getXMLBool(Xml, xmlNameTag.."#rentCar") ~= nil then viGui.defaultHud.sortBy.rentCar = getXMLBool(Xml, xmlNameTag.."#rentCar");end;
			if getXMLBool(Xml, xmlNameTag.."#isControlled") ~= nil then viGui.defaultHud.sortBy.isControlled = getXMLBool(Xml, xmlNameTag.."#isControlled");end;
			if getXMLBool(Xml, xmlNameTag.."#isFillLevel") ~= nil then viGui.defaultHud.sortBy.isFillLevel = getXMLBool(Xml, xmlNameTag.."#isFillLevel");end;
			if getXMLBool(Xml, xmlNameTag.."#isFuel") ~= nil then viGui.defaultHud.sortBy.isFuel = getXMLBool(Xml, xmlNameTag.."#isFuel");end;
			if getXMLBool(Xml, xmlNameTag.."#dirtAmount") ~= nil then viGui.defaultHud.sortBy.dirtAmount = getXMLBool(Xml, xmlNameTag.."#dirtAmount");end;
			if getXMLBool(Xml, xmlNameTag.."#vehiclePrice") ~= nil then viGui.defaultHud.sortBy.vehiclePrice = getXMLBool(Xml, xmlNameTag.."#vehiclePrice");end;
			if getXMLBool(Xml, xmlNameTag.."#vehicleSellPrice") ~= nil then viGui.defaultHud.sortBy.vehicleSellPrice = getXMLBool(Xml, xmlNameTag.."#vehicleSellPrice");end;
			xmlNameTag = ("vehicleInspector.sortSettings.values(%d)"):format(0);
			if getXMLBool(Xml, xmlNameTag.."#sortByOnly") ~= nil then viGui.defaultHud.sortByOnly = getXMLBool(Xml, xmlNameTag.."#sortByOnly");end;
			if getXMLBool(Xml, xmlNameTag.."#sortByReverse") ~= nil then viGui.defaultHud.sortByReverse = getXMLBool(Xml, xmlNameTag.."#sortByReverse");end;
			xmlNameTag = ("vehicleInspector.sortSettings.values(%d)"):format(1);
			if getXMLInt(Xml, xmlNameTag.."#age") then viGui.defaultHud.sortByOnlyValue.age = getXMLInt(Xml, xmlNameTag.."#age");end;
			if getXMLBool(Xml, xmlNameTag.."#ageReverse") ~= nil then viGui.defaultHud.sortByOnlyValue.ageReverse = getXMLBool(Xml, xmlNameTag.."#ageReverse");end;
			if getXMLInt(Xml, xmlNameTag.."#fillLevel") then viGui.defaultHud.sortByOnlyValue.fillLevel = getXMLInt(Xml, xmlNameTag.."#fillLevel");end;
			if getXMLBool(Xml, xmlNameTag.."#fillLevelReverse") ~= nil then viGui.defaultHud.sortByOnlyValue.fillLevelReverse = getXMLBool(Xml, xmlNameTag.."#fillLevelReverse");end;
			xmlNameTag = ("vehicleInspector.sortSettings.values(%d)"):format(2);
			if getXMLInt(Xml, xmlNameTag.."#fuelProzent") then viGui.defaultHud.sortByOnlyValue.fuelProzent = getXMLInt(Xml, xmlNameTag.."#fuelProzent");end;
			if getXMLBool(Xml, xmlNameTag.."#fuelProzentReverse") ~= nil then viGui.defaultHud.sortByOnlyValue.fuelProzentReverse = getXMLBool(Xml, xmlNameTag.."#fuelProzentReverse");end;
			if getXMLInt(Xml, xmlNameTag.."#dirtAmount") then viGui.defaultHud.sortByOnlyValue.dirtAmount = getXMLInt(Xml, xmlNameTag.."#dirtAmount");end;
			if getXMLBool(Xml, xmlNameTag.."#dirtAmountReverse") ~= nil then viGui.defaultHud.sortByOnlyValue.dirtAmountReverse = getXMLBool(Xml, xmlNameTag.."#dirtAmountReverse");end;
			xmlNameTag = ("vehicleInspector.sortSettings.values(%d)"):format(3);
			if getXMLInt(Xml, xmlNameTag.."#vehiclePrice") then viGui.defaultHud.sortByOnlyValue.vehiclePrice = getXMLInt(Xml, xmlNameTag.."#vehiclePrice");end;
			if getXMLBool(Xml, xmlNameTag.."#vehiclePriceReverse") ~= nil then viGui.defaultHud.sortByOnlyValue.vehiclePriceReverse = getXMLBool(Xml, xmlNameTag.."#vehiclePriceReverse");end;
			if getXMLInt(Xml, xmlNameTag.."#vehicleSellPrice") then viGui.defaultHud.sortByOnlyValue.vehicleSellPrice = getXMLInt(Xml, xmlNameTag.."#vehicleSellPrice");end;
			if getXMLBool(Xml, xmlNameTag.."#vehicleSellPriceReverse") ~= nil then viGui.defaultHud.sortByOnlyValue.vehicleSellPriceReverse = getXMLBool(Xml, xmlNameTag.."#vehicleSellPriceReverse");end;
			xmlNameTag = ("vehicleInspector.sortSettings.values(%d)"):format(4);
			if getXMLInt(Xml, xmlNameTag.."#rentCarTime") then viGui.defaultHud.sortByOnlyValue.rentCarTime = getXMLInt(Xml, xmlNameTag.."#rentCarTime");end;
			if getXMLBool(Xml, xmlNameTag.."#rentCarTimeReverse") ~= nil then viGui.defaultHud.sortByOnlyValue.rentCarTimeReverse = getXMLBool(Xml, xmlNameTag.."#rentCarTimeReverse");end;
			xmlNameTag = ("vehicleInspector.sortSettings.values(%d)"):format(5);
			if getXMLBool(Xml, xmlNameTag.."#seeGroup0") ~= nil then viGui.defaultHud.seeGroup[0] = getXMLBool(Xml, xmlNameTag.."#seeGroup0");end;
			if getXMLBool(Xml, xmlNameTag.."#seeGroup1") ~= nil then viGui.defaultHud.seeGroup[0] = getXMLBool(Xml, xmlNameTag.."#seeGroup1");end;
			if getXMLBool(Xml, xmlNameTag.."#seeGroup2") ~= nil then viGui.defaultHud.seeGroup[0] = getXMLBool(Xml, xmlNameTag.."#seeGroup2");end;
			if getXMLBool(Xml, xmlNameTag.."#seeGroup3") ~= nil then viGui.defaultHud.seeGroup[0] = getXMLBool(Xml, xmlNameTag.."#seeGroup3");end;
			if getXMLBool(Xml, xmlNameTag.."#seeGroup4") ~= nil then viGui.defaultHud.seeGroup[0] = getXMLBool(Xml, xmlNameTag.."#seeGroup4");end;
			if getXMLBool(Xml, xmlNameTag.."#seeGroup5") ~= nil then viGui.defaultHud.seeGroup[0] = getXMLBool(Xml, xmlNameTag.."#seeGroup5");end;
			if getXMLBool(Xml, xmlNameTag.."#seeGroup6") ~= nil then viGui.defaultHud.seeGroup[0] = getXMLBool(Xml, xmlNameTag.."#seeGroup6");end;
			if getXMLBool(Xml, xmlNameTag.."#seeGroup7") ~= nil then viGui.defaultHud.seeGroup[0] = getXMLBool(Xml, xmlNameTag.."#seeGroup7");end;
			if getXMLBool(Xml, xmlNameTag.."#seeGroup8") ~= nil then viGui.defaultHud.seeGroup[0] = getXMLBool(Xml, xmlNameTag.."#seeGroup8");end;
			if getXMLBool(Xml, xmlNameTag.."#seeGroup9") ~= nil then viGui.defaultHud.seeGroup[0] = getXMLBool(Xml, xmlNameTag.."#seeGroup9");end;
			if getXMLBool(Xml, xmlNameTag.."#seeGroup10") ~= nil then viGui.defaultHud.seeGroup[0] = getXMLBool(Xml, xmlNameTag.."#seeGroup10");end;
			if getXMLBool(Xml, xmlNameTag.."#groupRverse") ~= nil then viGui.defaultHud.seeGroup[11] = getXMLBool(Xml, xmlNameTag.."#groupReverse");end;
			if getXMLBool(Xml, xmlNameTag.."#seeGroupNumber") ~= nil then viGui.defaultHud.seeGroup[12] = getXMLBool(Xml, xmlNameTag.."#seeGroupNumber");end;			
			--sort
			
			--speciale
			xmlNameTag = ("vehicleInspector.specialeSettings.values(%d)"):format(0);
			if getXMLBool(Xml, xmlNameTag.."#seePlayer") ~= nil then viGui.defaultHud.seeControlled.player = getXMLBool(Xml, xmlNameTag.."#seePlayer");end;
			if getXMLBool(Xml, xmlNameTag.."#seePlayerTrain") ~= nil then viGui.defaultHud.seeControlled.playerTrain = getXMLBool(Xml, xmlNameTag.."#seePlayerTrain");end;
			if getXMLBool(Xml, xmlNameTag.."#seePlayerCrane") ~= nil then viGui.defaultHud.seeControlled.playerCrane = getXMLBool(Xml, xmlNameTag.."#seePlayerCrane");end;
			if getXMLBool(Xml, xmlNameTag.."#seePlayerHeli") ~= nil then viGui.defaultHud.seeControlled.playerHeli = getXMLBool(Xml, xmlNameTag.."#seePlayerHeli");end;
			xmlNameTag = ("vehicleInspector.specialeSettings.values(%d)"):format(1);
			if getXMLBool(Xml, xmlNameTag.."#seeForeignPlayer") ~= nil then viGui.defaultHud.seeControlled.foreignPlayer = getXMLBool(Xml, xmlNameTag.."#seeForeignPlayer");end;
			if getXMLBool(Xml, xmlNameTag.."#seeForeignPlayerTrain") ~= nil then viGui.defaultHud.seeControlled.foreignPlayerTrain = getXMLBool(Xml, xmlNameTag.."#seeForeignPlayerTrain");end;
			if getXMLBool(Xml, xmlNameTag.."#seeForeignPlayerCrane") ~= nil then viGui.defaultHud.seeControlled.foreignPlayerCrane = getXMLBool(Xml, xmlNameTag.."#seeForeignPlayerCrane");end;
			if getXMLBool(Xml, xmlNameTag.."#seeForeignPlayerHeli") ~= nil then viGui.defaultHud.seeControlled.foreignPlayerHeli = getXMLBool(Xml, xmlNameTag.."#seeForeignPlayerHeli");end;
			xmlNameTag = ("vehicleInspector.specialeSettings.values(%d)"):format(2);
			if getXMLBool(Xml, xmlNameTag.."#seeHired") ~= nil then viGui.defaultHud.seeControlled.hired = getXMLBool(Xml, xmlNameTag.."#seeHired");end;
			if getXMLBool(Xml, xmlNameTag.."#seeHiredTrain") ~= nil then viGui.defaultHud.seeControlled.hiredTrain = getXMLBool(Xml, xmlNameTag.."#seeHiredTrain");end;
			if getXMLBool(Xml, xmlNameTag.."#seeFirst") ~= nil then viGui.defaultHud.seeControlled.first = getXMLBool(Xml, xmlNameTag.."#seeFirst");end;
			if getXMLInt(Xml, xmlNameTag.."#firstPos") then viGui.defaultHud.seeControlled.firstPos = getXMLInt(Xml, xmlNameTag.."#firstPos");end;
			xmlNameTag = ("vehicleInspector.specialeSettings.values(%d)"):format(3);
			if getXMLBool(Xml, xmlNameTag.."#setVehicleFilter") ~= nil then viGui.defaultHud.seeVehicle.setFilter = getXMLBool(Xml, xmlNameTag.."#setVehicleFilter");end;
			local stringFilter = "";
			xmlNameTag = ("vehicleInspector.specialeSettings.values.vehicleFilter(%d)"):format(0);
			if getXMLString(Xml, xmlNameTag.."#nameAndBoolean") ~= nil then stringFilter = getXMLString(Xml, xmlNameTag.. "#nameAndBoolean");end;
			local stringFilterSplit = Utils.splitString(",", stringFilter);
			for a=0, #stringFilterSplit do
				local stringValueSplit = Utils.splitString("=", stringFilterSplit[a]);
				if stringValueSplit[1] ~= nil and stringValueSplit[2] ~= nil and string.len(stringValueSplit[1]) > 0 then
					local isTrue = false;
					if string.find(string.lower(stringValueSplit[2]), "true") then isTrue = true;end;
					local filterName = stringValueSplit[1];
					if viGui.defaultHud.seeVehicle[filterName] ~= nil then						
						viGui.defaultHud.seeVehicle[filterName] = isTrue;
					else
						viGui.defaultHud.seeVehicle[filterName] = isTrue;
					end;
				end;
			end;
			
			xmlNameTag = ("vehicleInspector.specialeSettings.values(%d)"):format(4);
			if getXMLBool(Xml, xmlNameTag.."#setAttachedFilter") ~= nil then viGui.defaultHud.seeAttached.setFilter = getXMLBool(Xml, xmlNameTag.."#setAttachedFilter");end;
			xmlNameTag = ("vehicleInspector.specialeSettings.values.attachedFilter(%d)"):format(0);
			stringFilter = "";
			if getXMLString(Xml, xmlNameTag.."#nameAndBoolean") ~= nil then stringFilter = getXMLString(Xml, xmlNameTag.. "#nameAndBoolean");end;
			local stringFilterSplit = Utils.splitString(",", stringFilter);
			for a=0, #stringFilterSplit do
				local stringValueSplit = Utils.splitString("=", stringFilterSplit[a]);
				if stringValueSplit[1] ~= nil and stringValueSplit[2] ~= nil and string.len(stringValueSplit[1]) > 0 then
					local isTrue = false;
					if string.find(string.lower(stringValueSplit[2]), "true") then isTrue = true;end;
					local filterName = stringValueSplit[1];
					if viGui.defaultHud.seeAttached[filterName] ~= nil then						
						viGui.defaultHud.seeAttached[filterName] = isTrue;
					else						
						viGui.defaultHud.seeAttached[filterName] = isTrue;
					end;
				end;
			end;
			--speciale
			
			--text
			xmlNameTag = ("vehicleInspector.textSettings.values(%d)"):format(0);
			if getXMLInt(Xml, xmlNameTag.."#textColorMarker") then viGui.defaultHud.colorNameMarker = getXMLInt(Xml, xmlNameTag.."#textColorMarker");end;
			xmlNameTag = ("vehicleInspector.textSettings.values(%d)"):format(1);
			if getXMLBool(Xml, xmlNameTag.."#textSwitch") ~= nil then viGui.defaultHud.seeText.switch = getXMLBool(Xml, xmlNameTag.."#textSwitch");end;
			if getXMLInt(Xml, xmlNameTag.."#textSwitchTimer") then viGui.defaultHud.seeText.switchTimer = getXMLInt(Xml, xmlNameTag.."#textSwitchTimer");end;
			xmlNameTag = ("vehicleInspector.textSettings.values(%d)"):format(2);
			if getXMLBool(Xml, xmlNameTag.."#seeTextProzent") ~= nil then viGui.defaultHud.seeText.prozent = getXMLBool(Xml, xmlNameTag.."#seeTextProzent");end;
			if getXMLInt(Xml, xmlNameTag.."#textProzentTimer") then viGui.defaultHud.seeText.prozentTimer = getXMLInt(Xml, xmlNameTag.."#textProzentTimer");end;
			if getXMLInt(Xml, xmlNameTag.."#textProzentPos") then viGui.defaultHud.seeText.prozentPos = getXMLInt(Xml, xmlNameTag.."#textProzentPos");end;
			xmlNameTag = ("vehicleInspector.textSettings.values(%d)"):format(3);
			if getXMLBool(Xml, xmlNameTag.."#seeTextFillLevel") ~= nil then viGui.defaultHud.seeText.fillLevel = getXMLBool(Xml, xmlNameTag.."#seeTextFillLevel");end;
			if getXMLInt(Xml, xmlNameTag.."#textFillLevelTimer") then viGui.defaultHud.seeText.fillLevelTimer = getXMLInt(Xml, xmlNameTag.."#textFillLevelTimer");end;
			if getXMLInt(Xml, xmlNameTag.."#textFillLevelPos") then viGui.defaultHud.seeText.fillLevelPos = getXMLInt(Xml, xmlNameTag.."#textFillLevelPos");end;
			xmlNameTag = ("vehicleInspector.textSettings.values(%d)"):format(4);
			if getXMLBool(Xml, xmlNameTag.."#seeTextFruitName") ~= nil then viGui.defaultHud.seeText.fruitName = getXMLBool(Xml, xmlNameTag.."#seeTextFruitName");end;
			if getXMLInt(Xml, xmlNameTag.."#textFruitNameTimer") then viGui.defaultHud.seeText.fruitNameTimer = getXMLInt(Xml, xmlNameTag.."#textFruitNameTimer");end;
			if getXMLInt(Xml, xmlNameTag.."#textFruitNamePos") then viGui.defaultHud.seeText.fruitNamePos = getXMLInt(Xml, xmlNameTag.."#textFruitNamePos");end;
			if getXMLInt(Xml, xmlNameTag.."#textFruitNameLength") then viGui.defaultHud.seeText.fruitNameLenght = getXMLInt(Xml, xmlNameTag.."#textFruitNameLength");end;
			--text
			saveXMLFile(Xml);
		end;		
	end;
end;

function viSetGetConfigXml:saveConfig()			
	local file = VehicleInspector.settingsDir.."modsSettings/vehicleInspector/vehicleInspectorSettings.xml";
	local Xml = createXMLFile("vehicleInspectorSettings_XML", file, "vehicleInspector");		
	--global
	local xmlNameTag = ("vehicleInspector.globalSettings.values(%d)"):format(0);
	setXMLBool(Xml, xmlNameTag.."#isOn", g_currentMission.vi.isOn);
	setXMLBool(Xml, xmlNameTag.."#isHidden", g_currentMission.vi.isHidden);	
	setXMLBool(Xml, xmlNameTag.."#setPlayerFrozen", g_currentMission.vi.setFrozen);
	setXMLBool(Xml, xmlNameTag.."#frozenAndCursorOverMoh", g_currentMission.vi.frozenAndCursorOverMoh);
	xmlNameTag = ("vehicleInspector.globalSettings.values(%d)"):format(1);
	setXMLBool(Xml, xmlNameTag.."#seeAnimals", viGui.defaultHud.seeAnimals.on);
	setXMLBool(Xml, xmlNameTag.."#chicken", viGui.defaultHud.seeAnimals.chicken);
	setXMLBool(Xml, xmlNameTag.."#sheep", viGui.defaultHud.seeAnimals.sheep);
	setXMLBool(Xml, xmlNameTag.."#cow", viGui.defaultHud.seeAnimals.cow);
	setXMLBool(Xml, xmlNameTag.."#pig", viGui.defaultHud.seeAnimals.pig);
	xmlNameTag = ("vehicleInspector.globalSettings.values(%d)"):format(2);
	setXMLBool(Xml, xmlNameTag.."#hiddenWarnings", g_currentMission.vi.hiddenWarnings);
	setXMLBool(Xml, xmlNameTag.."#seeGlobalWarningIcon", viGui.defaultHud.seeGlobalWarningIcon);
	setXMLBool(Xml, xmlNameTag.."#seeGlobalWarningVehicleAutoOnHidden", viGui.defaultHud.seeGlobalWarningVehicleAutoOnHidden);
	setXMLBool(Xml, xmlNameTag.."#seeGlobalWarningVehicleAutoOff", viGui.defaultHud.seeGlobalWarningVehicleAutoOff);
	setXMLInt(Xml, xmlNameTag.."#seeGlobalWarningVehicleAutoOffTimer", viGui.defaultHud.seeGlobalWarningVehicleAutoOffTimer);
	xmlNameTag = ("vehicleInspector.globalSettings.values(%d)"):format(3);
	setXMLInt(Xml, xmlNameTag.."#warningFillLevel", viGui.defaultHud.seeNoDrawWarning.fillLevel);
	setXMLBool(Xml, xmlNameTag.."#attachedFill", viGui.defaultHud.seeNoDrawWarning.attachedFill);
	setXMLInt(Xml, xmlNameTag.."#warningFuelLevel", viGui.defaultHud.seeNoDrawWarning.fuelLevel);
	setXMLBool(Xml, xmlNameTag.."#attachedFuel", viGui.defaultHud.seeNoDrawWarning.attachedFuel);
	setXMLInt(Xml, xmlNameTag.."#warningDirtAmount", viGui.defaultHud.seeNoDrawWarning.dirtAmount);
	setXMLBool(Xml, xmlNameTag.."#attachedDirt", viGui.defaultHud.seeNoDrawWarning.attachedDirt);
	setXMLBool(Xml, xmlNameTag.."#problemHiredAndForeignPlayer", viGui.defaultHud.seeNoDrawWarning.problemHiredAndForeignPlayer);
	setXMLBool(Xml, xmlNameTag.."#problemNoControlled", viGui.defaultHud.seeNoDrawWarning.problemNoControlled);
	xmlNameTag = ("vehicleInspector.globalSettings.values(%d)"):format(4);
	setXMLFloat(Xml, xmlNameTag.."#viZoom", viGui.defaultHud.zoomOutIn);
	setXMLBool(Xml, xmlNameTag.."#seeRealAttached", viGui.defaultHud.viewRealAttached);
	setXMLInt(Xml, xmlNameTag.."#maxAttached", viGui.defaultHud.attachedView);
	setXMLBool(Xml, xmlNameTag.."#hotSpotVehicle", viGui.defaultHud.hotSpot);
	setXMLBool(Xml, xmlNameTag.."#keySelect", viGui.defaultHud.vehicleSettingsKeySelect.on);
	setXMLInt(Xml, xmlNameTag.."#keySelectPos", viGui.defaultHud.vehicleSettingsKeySelect.pos);
	setXMLInt(Xml, xmlNameTag.."#keySelectType", viGui.defaultHud.vehicleSettingsKeySelect.markerType);
	setXMLInt(Xml, xmlNameTag.."#keySelectColor", viGui.defaultHud.vehicleSettingsKeySelect.color);
	xmlNameTag = ("vehicleInspector.globalSettings.values(%d)"):format(5);
	setXMLBool(Xml, xmlNameTag.."#isLockDefaultHud", viGui.settingsOnViMenue.isLockDefaultHud);
	setXMLFloat(Xml, xmlNameTag.."#settingsZoom", viGui.settingsOnViMenue.zoomOutIn);	
	setXMLFloat(Xml, xmlNameTag.."#settingsPosX", viGui.settingsOnViMenue.posX);
	setXMLFloat(Xml, xmlNameTag.."#settingsPosY", viGui.settingsOnViMenue.posY);
	setXMLBool(Xml, xmlNameTag.."#isTask", viGui.settingsOnViMenue.isTask);	
	setXMLInt(Xml, xmlNameTag.."#viPos", viGui.defaultHud.pos);
	xmlNameTag = ("vehicleInspector.globalSettings.values(%d)"):format(6);
	setXMLBool(Xml, xmlNameTag.."#helpText", viGui.helpText.on);
	setXMLBool(Xml, xmlNameTag.."#vehicleInfoText", viGui.helpText.vehicleInfo);
	setXMLBool(Xml, xmlNameTag.."#mouseCursorJoinVehicleAutoOff", viGui.defaultHud.mouseCursorJoinVehicleAutoOff); 
	setXMLBool(Xml, xmlNameTag.."#mouseCursorCloseSettingsAutoOff", viGui.defaultHud.mouseCursorCloseSettingsAutoOff);
	--setXMLBool(Xml, xmlNameTag.."#isfruitNameOn", g_currentMission.vi.isfruitNameOn);
	--setXMLInt(Xml, xmlNameTag.."#fruitNamePos", g_currentMission.vi.fruitNamePos);
	--setXMLInt(Xml, xmlNameTag.."#fruitNameType", g_currentMission.vi.fruitNameType);
	--global
	
	--design
	xmlNameTag = ("vehicleInspector.designSettings.values(%d)"):format(0);
	setXMLInt(Xml, xmlNameTag.."#design", viGui.defaultHud.design);
	setXMLInt(Xml, xmlNameTag.."#designGrounbdType", viGui.defaultHud.designGroundType);
	setXMLFloat(Xml, xmlNameTag.."#designGroundTransparent", viGui.defaultHud.designGroundTransparent);
	setXMLInt(Xml, xmlNameTag.."#designGroundColor", viGui.defaultHud.designGroundColorMarker);
	setXMLInt(Xml, xmlNameTag.."#designGroundLineColor", viGui.defaultHud.designGroundLineColorMarker);
	xmlNameTag = ("vehicleInspector.designSettings.values(%d)"):format(1);
	setXMLBool(Xml, xmlNameTag.."#storeItems", viGui.defaultHud.storeItems);
	setXMLBool(Xml, xmlNameTag.."#storeItemsVehicle", viGui.defaultHud.storeItemsVehicle);
	setXMLBool(Xml, xmlNameTag.."#storeItemsVehicleName", viGui.defaultHud.storeItemsVehicleName);
	setXMLBool(Xml, xmlNameTag.."#storeItemsAttached", viGui.defaultHud.storeItemsAttached);
	setXMLBool(Xml, xmlNameTag.."#storeItemsAttachedName", viGui.defaultHud.storeItemsAttachedName);
	xmlNameTag = ("vehicleInspector.designSettings.values(%d)"):format(2);
	setXMLFloat(Xml, xmlNameTag.."#distanceAttachedStretch", viGui.defaultHud.distanceAttachedStretch);
	setXMLInt(Xml, xmlNameTag.."#storeItemsColorMarker", viGui.defaultHud.storeItemsColorMarker);
	setXMLFloat(Xml, xmlNameTag.."#storeItemsTransparent", viGui.defaultHud.storeItemsTransparent);
	xmlNameTag = ("vehicleInspector.designSettings.values(%d)"):format(3);
	setXMLBool(Xml, xmlNameTag.."#seeExtraIcons", viGui.defaultHud.seeExtraIcon.isDraw);
	xmlNameTag = ("vehicleInspector.designSettings.values.one(%d)"):format(0);
	setXMLBool(Xml, xmlNameTag.."#selectedVehicle", viGui.defaultHud.seeExtraIcon.selectedVehicle);
	setXMLBool(Xml, xmlNameTag.."#attachedAllReady", viGui.defaultHud.seeExtraIcon.attachedAllReady);
	setXMLBool(Xml, xmlNameTag.."#attachedPlayerReady", viGui.defaultHud.seeExtraIcon.attachedPlayerReady);
	setXMLBool(Xml, xmlNameTag.."#attachedForeignPlayerReady", viGui.defaultHud.seeExtraIcon.attachedForeignPlayerReady);
	xmlNameTag = ("vehicleInspector.designSettings.values.two(%d)"):format(0);
	setXMLBool(Xml, xmlNameTag.."#light", viGui.defaultHud.seeExtraIcon.light);
	setXMLBool(Xml, xmlNameTag.."#fuelLevel", viGui.defaultHud.seeExtraIcon.fuelLevel);
	setXMLInt(Xml, xmlNameTag.."#fuelLevelProzent", viGui.defaultHud.seeExtraIcon.fuelLevelProzent);
	setXMLInt(Xml, xmlNameTag.."#fuelLevelTimer", viGui.defaultHud.seeExtraIcon.fuelLevelTimer);
	xmlNameTag = ("vehicleInspector.designSettings.values.three(%d)"):format(0);
	setXMLBool(Xml, xmlNameTag.."#rentCar", viGui.defaultHud.seeExtraIcon.rentCar);
	setXMLBool(Xml, xmlNameTag.."#fillLevel", viGui.defaultHud.seeExtraIcon.fillLevel);
	setXMLInt(Xml, xmlNameTag.."#fillLevelProzent", viGui.defaultHud.seeExtraIcon.fillLevelProzent);
	setXMLInt(Xml, xmlNameTag.."#fillLevelTimer", viGui.defaultHud.seeExtraIcon.fillLevelTimer);
	xmlNameTag = ("vehicleInspector.designSettings.values.four(%d)"):format(0);
	setXMLBool(Xml, xmlNameTag.."#dirtAmount", viGui.defaultHud.seeExtraIcon.dirtAmount);
	setXMLInt(Xml, xmlNameTag.."#dirtAmountProzent", viGui.defaultHud.seeExtraIcon.dirtAmountProzent);
	setXMLBool(Xml, xmlNameTag.."#vehicleCost", viGui.defaultHud.seeExtraIcon.vehicleCost);
	setXMLInt(Xml, xmlNameTag.."#vehicleCostProzent", viGui.defaultHud.seeExtraIcon.vehicleCostProzent);
	--design
	
	--sort
	xmlNameTag = ("vehicleInspector.sortSettings.sortBy(%d)"):format(0);
	setXMLBool(Xml, xmlNameTag.."#vehicleName", viGui.defaultHud.sortBy.vehicleName);
	setXMLBool(Xml, xmlNameTag.."#typeName", viGui.defaultHud.sortBy.typeName);
	setXMLBool(Xml, xmlNameTag.."#typeDesc", viGui.defaultHud.sortBy.typeDesc);
	setXMLBool(Xml, xmlNameTag.."#engineOn", viGui.defaultHud.sortBy.engineOn);
	setXMLBool(Xml, xmlNameTag.."#isGroup", viGui.defaultHud.sortBy.isGroup);
	setXMLBool(Xml, xmlNameTag.."#isPlayer", viGui.defaultHud.sortBy.isPlayer);
	setXMLBool(Xml, xmlNameTag.."#isHired", viGui.defaultHud.sortBy.isHired);
	setXMLBool(Xml, xmlNameTag.."#isAttached", viGui.defaultHud.sortBy.isAttached);
	setXMLBool(Xml, xmlNameTag.."#age", viGui.defaultHud.sortBy.age);
	setXMLBool(Xml, xmlNameTag.."#rentCar", viGui.defaultHud.sortBy.rentCar);
	setXMLBool(Xml, xmlNameTag.."#isControlled", viGui.defaultHud.sortBy.isControlled);
	setXMLBool(Xml, xmlNameTag.."#isFillLevel", viGui.defaultHud.sortBy.isFillLevel);
	setXMLBool(Xml, xmlNameTag.."#isFuel", viGui.defaultHud.sortBy.isFuel);
	setXMLBool(Xml, xmlNameTag.."#dirtAmount", viGui.defaultHud.sortBy.dirtAmount);
	setXMLBool(Xml, xmlNameTag.."#vehiclePrice", viGui.defaultHud.sortBy.vehiclePrice);
	setXMLBool(Xml, xmlNameTag.."#vehicleSellPrice", viGui.defaultHud.sortBy.vehicleSellPrice);
	xmlNameTag = ("vehicleInspector.sortSettings.values(%d)"):format(0);
	setXMLBool(Xml, xmlNameTag.."#sortByOnly", viGui.defaultHud.sortByOnly);
	setXMLBool(Xml, xmlNameTag.."#sortByReverse", viGui.defaultHud.sortByOnly);
	xmlNameTag = ("vehicleInspector.sortSettings.values(%d)"):format(1);
	setXMLInt(Xml, xmlNameTag.."#age", viGui.defaultHud.sortByOnlyValue.age);
	setXMLBool(Xml, xmlNameTag.."#ageReverse", viGui.defaultHud.sortByOnlyValue.ageReverse);
	setXMLInt(Xml, xmlNameTag.."#fillLevel", viGui.defaultHud.sortByOnlyValue.fillLevel);
	setXMLBool(Xml, xmlNameTag.."#fillLevelReverse", viGui.defaultHud.sortByOnlyValue.fillLevelReverse);
	xmlNameTag = ("vehicleInspector.sortSettings.values(%d)"):format(2);
	setXMLInt(Xml, xmlNameTag.."#fuelProzent", viGui.defaultHud.sortByOnlyValue.fuelProzent);
	setXMLBool(Xml, xmlNameTag.."#fuelProzentReverse", viGui.defaultHud.sortByOnlyValue.fuelProzentReverse);
	setXMLInt(Xml, xmlNameTag.."#dirtAmount", viGui.defaultHud.sortByOnlyValue.dirtAmount);
	setXMLBool(Xml, xmlNameTag.."#dirtAmountReverse", viGui.defaultHud.sortByOnlyValue.dirtAmountReverse);
	xmlNameTag = ("vehicleInspector.sortSettings.values(%d)"):format(3);
	setXMLInt(Xml, xmlNameTag.."#vehiclePrice", viGui.defaultHud.sortByOnlyValue.vehiclePrice);
	setXMLBool(Xml, xmlNameTag.."#vehiclePriceReverse", viGui.defaultHud.sortByOnlyValue.vehiclePriceReverse);
	setXMLInt(Xml, xmlNameTag.."#vehicleSellPrice", viGui.defaultHud.sortByOnlyValue.vehicleSellPrice);
	setXMLBool(Xml, xmlNameTag.."#vehicleSellPriceReverse", viGui.defaultHud.sortByOnlyValue.vehicleSellPriceReverse);	
	xmlNameTag = ("vehicleInspector.sortSettings.values(%d)"):format(4);
	setXMLInt(Xml, xmlNameTag.."#rentCarTime", viGui.defaultHud.sortByOnlyValue.rentCarTime);
	setXMLBool(Xml, xmlNameTag.."#rentCarTimeReverse", viGui.defaultHud.sortByOnlyValue.rentCarTimeReverse);
	xmlNameTag = ("vehicleInspector.sortSettings.values(%d)"):format(5);
	setXMLBool(Xml, xmlNameTag.."#seeGroup0", viGui.defaultHud.seeGroup[0]);
	setXMLBool(Xml, xmlNameTag.."#seeGroup1", viGui.defaultHud.seeGroup[1]);
	setXMLBool(Xml, xmlNameTag.."#seeGroup2", viGui.defaultHud.seeGroup[2]);
	setXMLBool(Xml, xmlNameTag.."#seeGroup3", viGui.defaultHud.seeGroup[3]);
	setXMLBool(Xml, xmlNameTag.."#seeGroup4", viGui.defaultHud.seeGroup[4]);
	setXMLBool(Xml, xmlNameTag.."#seeGroup5", viGui.defaultHud.seeGroup[5]);
	setXMLBool(Xml, xmlNameTag.."#seeGroup6", viGui.defaultHud.seeGroup[6]);
	setXMLBool(Xml, xmlNameTag.."#seeGroup7", viGui.defaultHud.seeGroup[7]);
	setXMLBool(Xml, xmlNameTag.."#seeGroup8", viGui.defaultHud.seeGroup[8]);
	setXMLBool(Xml, xmlNameTag.."#seeGroup9", viGui.defaultHud.seeGroup[9]);
	setXMLBool(Xml, xmlNameTag.."#seeGroup10", viGui.defaultHud.seeGroup[10]);
	setXMLBool(Xml, xmlNameTag.."#groupReverse", viGui.defaultHud.seeGroup[11]);
	setXMLBool(Xml, xmlNameTag.."#seeGroupNumber", viGui.defaultHud.seeGroup[12]);
	--sort
	
	--speciale
	xmlNameTag = ("vehicleInspector.specialeSettings.values(%d)"):format(0);
	setXMLBool(Xml, xmlNameTag.."#seePlayer", viGui.defaultHud.seeControlled.player);
	setXMLBool(Xml, xmlNameTag.."#seePlayerTrain", viGui.defaultHud.seeControlled.playerTrain);
	setXMLBool(Xml, xmlNameTag.."#seePlayerCrane", viGui.defaultHud.seeControlled.playerCrane);
	setXMLBool(Xml, xmlNameTag.."#seePlayerHeli", viGui.defaultHud.seeControlled.playerHeli);
	xmlNameTag = ("vehicleInspector.specialeSettings.values(%d)"):format(1);
	setXMLBool(Xml, xmlNameTag.."#seeForeignPlayer", viGui.defaultHud.seeControlled.foreignPlayer);
	setXMLBool(Xml, xmlNameTag.."#seeForeignPlayerTrain", viGui.defaultHud.seeControlled.foreignPlayerTrain);
	setXMLBool(Xml, xmlNameTag.."#seeForeignPlayerCrane", viGui.defaultHud.seeControlled.foreignPlayerCrane);
	setXMLBool(Xml, xmlNameTag.."#seeForeignPlayerHeli", viGui.defaultHud.seeControlled.foreignPlayerHeli);
	xmlNameTag = ("vehicleInspector.specialeSettings.values(%d)"):format(2);
	setXMLBool(Xml, xmlNameTag.."#seeHired", viGui.defaultHud.seeControlled.hired);
	setXMLBool(Xml, xmlNameTag.."#seeHiredTrain", viGui.defaultHud.seeControlled.hiredTrain);
	setXMLBool(Xml, xmlNameTag.."#seeFirst", viGui.defaultHud.seeControlled.first);
	setXMLInt(Xml, xmlNameTag.."#firstPos", viGui.defaultHud.seeControlled.firstPos);
	xmlNameTag = ("vehicleInspector.specialeSettings.values(%d)"):format(3);
	setXMLBool(Xml, xmlNameTag.."#setVehicleFilter", viGui.defaultHud.seeVehicle.setFilter);
	xmlNameTag = ("vehicleInspector.specialeSettings.values.vehicleFilter(%d)"):format(0);
	local stringFilter = "";
	for key,value in pairs(viGui.defaultHud.seeVehicle) do
		if not string.find(tostring(key), "setFilter") then			
			if string.len(stringFilter) == 0 then
				stringFilter = tostring(key).. "=".. tostring(value);
			else
				stringFilter = stringFilter.. ",".. tostring(key).. "=".. tostring(value);
			end;
		end;
	end;
	setXMLString(Xml, xmlNameTag.."#nameAndBoolean", stringFilter);
	xmlNameTag = ("vehicleInspector.specialeSettings.values(%d)"):format(4);
	setXMLBool(Xml, xmlNameTag.."#setAttachedFilter", viGui.defaultHud.seeAttached.setFilter);
	xmlNameTag = ("vehicleInspector.specialeSettings.values.attachedFilter(%d)"):format(0);
	stringFilter = "";
	for key,value in pairs(viGui.defaultHud.seeAttached) do
		if not string.find(tostring(key), "setFilter") then			
			if string.len(stringFilter) == 0 then
				stringFilter = tostring(key).. "=".. tostring(value);
			else
				stringFilter = stringFilter.. ",".. tostring(key).. "=".. tostring(value);
			end;
		end;
	end;
	setXMLString(Xml, xmlNameTag.."#nameAndBoolean", stringFilter);	
	--speciale
			
	--text
	xmlNameTag = ("vehicleInspector.textSettings.values(%d)"):format(0);
	setXMLInt(Xml, xmlNameTag.."#textColorMarker", viGui.defaultHud.colorNameMarker);
	xmlNameTag = ("vehicleInspector.textSettings.values(%d)"):format(1);
	setXMLBool(Xml, xmlNameTag.."#textSwitch", viGui.defaultHud.seeText.switch);
	setXMLInt(Xml, xmlNameTag.."#textSwitchTimer", viGui.defaultHud.seeText.switchTimer);
	xmlNameTag = ("vehicleInspector.textSettings.values(%d)"):format(2);
	setXMLBool(Xml, xmlNameTag.."#seeTextProzent", viGui.defaultHud.seeText.prozent);
	setXMLInt(Xml, xmlNameTag.."#textProzentTimer", viGui.defaultHud.seeText.prozentTimer);
	setXMLInt(Xml, xmlNameTag.."#textProzentPos", viGui.defaultHud.seeText.prozentPos);
	xmlNameTag = ("vehicleInspector.textSettings.values(%d)"):format(3);
	setXMLBool(Xml, xmlNameTag.."#seeTextFillLevel", viGui.defaultHud.seeText.fillLevel);
	setXMLInt(Xml, xmlNameTag.."#textFillLevelTimer", viGui.defaultHud.seeText.fillLevelTimer);
	setXMLInt(Xml, xmlNameTag.."#textFillLevelPos", viGui.defaultHud.seeText.fillLevelPos);
	xmlNameTag = ("vehicleInspector.textSettings.values(%d)"):format(4);
	setXMLBool(Xml, xmlNameTag.."#seeTextFruitName", viGui.defaultHud.seeText.fruitName);
	setXMLInt(Xml, xmlNameTag.."#textFruitNameTimer", viGui.defaultHud.seeText.fruitNameTimer);
	setXMLInt(Xml, xmlNameTag.."#textFruitNamePos", viGui.defaultHud.seeText.fruitNamePos);
	setXMLInt(Xml, xmlNameTag.."#textFruitNameLength", viGui.defaultHud.seeText.fruitNameLenght);
	--text
	saveXMLFile(Xml);		
end;